%global momorel 6
Name: xmms-kjofol-skins
Summary: XMMS - Vis plugin to get kjofol skins + some kjofol skins
Version: 0.95
Release: %{momorel}m
Source0: http://www.dgs.monash.edu.au/~timf/kint_xmms-0.95.tar.gz
Source1: kjofol-skins.tar.bz2
Patch0: kint_xmms-0.94.patch
Patch1: xmms-kj-cflags.patch
License: GPL
Group: Applications/Multimedia
URL: http://www.dgs.monash.edu.au/~timf/xmms/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}
Requires: xmms >= 1.2.0 unzip
BuildRequires: gtk+1-devel xmms-devel libpng-devel >= 1.2.2
NoSource: 0

%description
In this package you can find the Visualization plugin that enable K-Jofol skins
support, and several cute K-Jofol skins.

%prep
%setup -q -a 1 -n xmms-kj
%patch0 -p1
%patch1 -p1 -b .cflags~

%build
%make vislib OPTFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/%{_lib}/xmms/Visualization
mkdir -p %{buildroot}%{_datadir}/xmms/kjofol
make LIBDIR=%{buildroot}/usr/X11R6/%{_lib}/xmms/Visualization install-vislib
install -m644 default.zip kjofol/* %{buildroot}%{_datadir}/xmms/kjofol

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING readme.txt
/usr/X11R6/%{_lib}/xmms/Visualization/libkjofol*
%{_datadir}/xmms/kjofol/

%changelog
* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.95-6m)
- enable x86_64.

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.95-5m)
- rebuild against xmms-1.2.8

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.95-4k)
- rebuild against libpng-1.2.2

* Wed Oct 24 2001 Toru Hoshina <t@kondara.org>
- (0.95-2k)
- 1st release.
